groq.llama-prompt-guard-2-86m API on AvalAI
groq.llama-prompt-guard-2-86mgroq.llama-prompt-guard-2-86m is an AI model from Meta that is available through AvalAI's OpenAI-compatible API.
Use groq.llama-prompt-guard-2-86m with the AvalAI API
Keep the API key in an environment variable and send requests from server-side code.
curl https://api.avalai.ir/v1/chat/completions \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $AVALAI_API_KEY" \
-d '{"model": "groq.llama-prompt-guard-2-86m", "messages": [{"role": "user", "content": "Give a concise, practical solution."}]}'import os
from openai import OpenAI
client = OpenAI(
api_key=os.environ["AVALAI_API_KEY"],
base_url="https://api.avalai.ir/v1",
)
response = client.chat.completions.create(
model="groq.llama-prompt-guard-2-86m",
messages=[{"role": "user", "content": "Give a concise, practical solution."}],
)
print(response.choices[0].message.content)import OpenAI from "openai";
const client = new OpenAI({
apiKey: process.env.AVALAI_API_KEY,
baseURL: "https://api.avalai.ir/v1",
});
const response = await client.chat.completions.create({
model: "groq.llama-prompt-guard-2-86m",
messages: [{ role: "user", content: "Give a concise, practical solution." }],
});
console.log(response.choices[0].message.content);Create an API keyRead the quickstart
Capabilities and endpoints
- —
groq.llama-prompt-guard-2-86m rate limits
| Tier | RPM | TPM |
|---|---|---|
| Basic | 3 | 40,000 |
| Tier 1 | 15 | 5,000 |
| Tier 2 | 25 | 10,000 |
| Tier 3 | 25 | 20,000 |
| Tier 4 | 75 | 20,000 |
| Tier 5 | 100 | 30,000 |
Related models
- groq.llama-prompt-guard-2-22m
- Llama Guard 4 12B
- groq.llama-4-maverick-17b-128e-instruct
- llama-4-scout-17b-16e-instruct
Frequently asked questions
What is the groq.llama-prompt-guard-2-86m API on AvalAI?
Create an AvalAI API key and send the model ID groq.llama-prompt-guard-2-86m to one of the supported endpoints shown on this page.
How much does the groq.llama-prompt-guard-2-86m API cost on AvalAI?
The groq.llama-prompt-guard-2-86m API on AvalAI costs $0.04 per 1M input tokens and $0.04 per 1M output tokens.
What is the token cost for groq.llama-prompt-guard-2-86m?
Current AvalAI pricing for groq.llama-prompt-guard-2-86m is $0.04 / 1M tokens for input and $0.04 / 1M tokens for output.
What is the groq.llama-prompt-guard-2-86m context window?
The recorded maximum input context for groq.llama-prompt-guard-2-86m is 512 tokens.
What are the rate limits for groq.llama-prompt-guard-2-86m on AvalAI?
On tier 5, groq.llama-prompt-guard-2-86m on AvalAI supports up to 100 requests per minute and 30,000 tokens per minute.
What account tier is required to use groq.llama-prompt-guard-2-86m on AvalAI?
Calling groq.llama-prompt-guard-2-86m on AvalAI requires the Basic tier (tier 0) or higher.
Third-party data and freshness
- Pricing, availability, endpoints, and rate limits: AvalAI structured data (authoritative)